"""WUDDZ-DAPP CONFIG MODULE CONTAINING STANDARD ERC20 ABI, 0X & INFURA API AUTHENTICATION CREDENTIALS & CONTRACT ADDRESSES FOR VARIOUS NETWORKS."""

# Ethereum Blockchain Network RPC Urls
mainnet='https://mainnet.infura.io/v3/pasteapikeyhere'
sepolia='https://sepolia.infura.io/v3/pasteapikeyhere'
goerli='https://goerli.infura.io/v3/pasteapikeyhere'
linea='https://linea-mainnet.infura.io/v3/pasteapikeyhere'
celo='https://celo-mainnet.infura.io/v3/pasteapikeyhere'
starknet='https://starknet-mainnet.infura.io/v3/pasteapikeyhere'
aurora='https://aurora-mainnet.infura.io/v3/pasteapikeyhere'
near='https://near-mainnet.infura.io/v3/pasteapikeyhere'
avalanche='https://avalanche-mainnet.infura.io/v3/pasteapikeyhere'
palm='https://palm-mainnet.infura.io/v3/pasteapikeyhere'
arbitrum='https://arbitrum-mainnet.infura.io/v3/pasteapikeyhere'
optimism='https://optimism-mainnet.infura.io/v3/pasteapikeyhere'
polygon='https://polygon-mainnet.infura.io/v3/pasteapikeyhere'
mumbai='https://polygon-mumbai.infura.io/v3/pasteapikeyhere'
bsc='https://bsc-dataseed.bnbchain.org'
bsctestnet='https://bsc-testnet-dataseed.bnbchain.org/'
ganache='http://127.0.0.1:7545'
development='http://127.0.0.1:8545'

# 0x Api Key As Header To Access 0x Swap API For Token Swap Aggregation Quotes
zerox={'0x-api-key': 'paste0xapikeyhere', '0x-version': 'v2'}

# Set Working Directory Of Compiled Or Uncompiled Smart Contracts To Be Deployed & Verified
scdir=''

# 0x Api ERC20, ERC721 & ERC1155 Exchange Proxy Addresses
exp={
    'mainnet': '0xdef1c0ded9bec7f1a1670819833240f027b25eff',
    'polygon': '0xdef1c0ded9bec7f1a1670819833240f027b25eff',
    'goerli': '0xf91bb752490473b8342a3e964e855b9f9a2a668e',
    'mumbai': '0xf471d32cb40837bf24529fcf17418fc1a4807626',
    'bsc': '0xdef1c0ded9bec7f1a1670819833240f027b25eff',
    'optimism': '0xdef1abe32c034e558cdd535791643c58a13acc10',
    'fantom': '0xdef189deaef76e379df891899eb5a00a94cbc250',
    'celo': '0xdef1c0ded9bec7f1a1670819833240f027b25eff',
    'avalanche': '0xdef1c0ded9bec7f1a1670819833240f027b25eff',
    'arbitrum': '0xdef1c0ded9bec7f1a1670819833240f027b25eff',
    'base': '0xdef1c0ded9bec7f1a1670819833240f027b25eff'
    }

tcd={
    # Goerli Testnet Token Smart Contract Addresses
    'goerli': {
        'USDC':'0x07865c6E87B9F70255377e024ace6630C1Eaa37F',
        'TST':'0x7af963cf6d228e564e2a0aa0ddbf06210b38615d',
        'DAI':'0xE68104D83e647b7c1C15a91a8D8aAD21a51B3B3E',
        'WETH':'0xB4FBF271143F4FBf7B91A5ded31805e42b2208d6',
        'UNI':'0x1f9840a85d5aF5bf1D1762F925BDADdC4201F984',
        'ZRX':'0xe4e81fa6b16327d4b78cfeb83aade04ba7075165',
        'USDT':'0x509Ee0d083DdF8AC028f2a56731412edD63223B9',
        'BUSD':'0xb809b9B2dc5e93CB863176Ea2D565425B03c0540',
        'BNB':'0xFC1C82c5EdeB51082CF30FDDb434D2cBDA1f6924'
        },
    # Sepolia Testnet Token Smart Contract Addresses
    'sepolia': {
        'MATIC': '0x37dBD10E7994AAcF6132cac7d33bcA899bd2C660',
        'WETH': '0xA4560E8B4694B437d77452eBc2dE179AAA1137C3',
        'HORSE': '0xe9f36Ec3F1B8056A67a2B542551D248D511aA7d6',
        'DAI': '0x5DccDb631bEC60655DDdB19C1226eBa04A362529',
        'USDC': '0x55979784068d1BEf37B49F41cAC8040A4b79C4a7',
        'USDT': '0x7169D38820dfd117C3FA1f22a697dBA58d90BA06',
        'TTKOj': '0x75F94f04d2144cB6056CCd0CFF1771573d838974',
        },
    # Polygon Testnet (Mumbai) Token Smart Contract Addresses
    'mumbai': {
        'WETH': '0xa6fa4fb5f76172d178d61b04b0ecd319c5d1c0aa',
        'LINK': '0x279EB6b696b427B8E9657c5F061636Cde4f54DB7',
        'DAI': '0x001B3B4d0F3714Ca98ba10F6042DaEbF0B1B7b6F',
        'USDC': '0x2058a9d7613eee744279e3856ef0eada5fcbaa7e',
        'USDT': '0x4A90D5aE01F03B650cdc8D3A94358F364D98d096',
        'DUSD': '0xf32E48fEf322f628D201Bcc4d3B31b210f816Eaf',
        },
    # Top 300 Ethereum Mainnet Tokens By Market Cap, Symbols & Smart Contract Addresses.
    'mainnet': {
        "USDT": "0xdac17f958d2ee523a2206206994597c13d831ec7",
        "BNB": "0xB8c77482e45F1F44dE1745F52C74426C631bDD52",
        "USDC": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
        "WETH": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
        "STETH": "0xae7ab96520de3a18e5e111b5eaab095312d7fe84",
        "TRX": "0x50327c6c5a14dcade707abad2e27eb517df87ab5",
        "TONCOIN": "0x582d872a1b094fc48f5de31d3b73f2d9be47def1",
        "MATIC": "0x7d1afa7b718fb893db30a3abc0cfc608aacfebb0",
        "THETA": "0x3883f5e181fccaf8410fa61e12b59bad963fb645",
        "LINK": "0x514910771af9ca656af840dff83e8264ecf986ca",
        "WBTC": "0x2260fac5e5542a773aa44fbcfedf7c193bc2c599",
        "SHIB": "0x95aD61b0a150d79219dCF64E1E6Cc01f0B64C4cE",
        "DAI": "0x6b175474e89094c44da98b954eedeac495271d0f",
        "LEO": "0x2af5d2ad76741191d15dfe7bf6ac92d4bd912ca3",
        "TUSD": "0x0000000000085d4780B73119b644AE5ecd22b376",
        "UNI": "0x1f9840a85d5af5bf1d1762f925bdaddc4201f984",
        "OKB": "0x75231f58b43240c9718dd58b4967c5114342a86c",
        "BUSD": "0x4fabb145d64652a948d72533023f6e7a623c7c53",
        "UIP": "0x4290563c2d7c255b5eec87f2d3bd10389f991d68",
        "LDO": "0x5a98fcbea516cf06857215779fd812ca3bef1b32",
        "CRO": "0xa0b73e1ff0b80914ab6fe0444e65848c4c34450b",
        "HEX": "0x2b591e99afe9f32eaa6214f7b7629768c40eeb39",
        "QNT": "0x4a220e6096b25eadb88358cb44068a3248254675",
        "MKR": "0x9f8f72aa9304c8b593d555f12ef6589cc3a579a2",
        "VEN": "0xd850942ef8811f2a866692a623011bde52a462c1",
        "MNT": "0x3c3a81e81dc49a522a592e7622a7e711c06bf354",
        "ARB": "0xB50721BCf8d664c30412Cfbc6cf7a15145234ad1",
        "NEAR": "0x85f17cf997934a597031b2e18a9ab6ebd4b9f6a4",
        "STKAAVE": "0x4da27a545c0c5b758a6ba100e3a049001de870f5",
        "RETH": "0xae78736cd615f374d3085123a210448e74fc6393",
        "GRT": "0xc944e90c64b2c07662a292be6244bdf05cda44a7",
        "INJ": "0xe28b3B32B6c345A34Ff64674606124Dd5Aceca30",
        "RNDR": "0x6de037ef9ad2725eb40118bb1702ebb27e4aeb24",
        "USDD": "0x0C10bF8FcB7Bf5412187A595ab97a3609160b5c6",
        "SNX": "0xc011a73ee8576fb46f5e1c5751ca3b9fe0af2a6f",
        "IMX": "0xf57e7e7c23978c3caec3c3548e3d615c346e79ff",
        "FRAX": "0x853d955acef822db058eb8505911ed77f175b99e",
        "SAND": "0x3845badAde8e6dFF049820680d1F14bD3903a5d0",
        "FTM": "0x4e15361fd6b4bb609fa63c81a2be19d873717870",
        "RLB": "0x046eee2cc3188071c02bfc1745a6b17c656e3f3d",
        "MANA": "0x0f5d2fb29fb7d3cfee444a200298f468908cc942",
        "WMANA": "0xfd09cf7cfffa9932e33668311c4777cb9db3c9be",
        "XAUT": "0x68749665ff8d2d112fa859aa293f07a622782f38",
        "PAXG": "0x45804880De22913dAFE09f4980848ECE6EcbAf78",
        "USDP": "0x8e870d67f660d95d5be530380d0ec0bd388289e1",
        "FRXETH": "0x5e8422345238f34275888049021821e8e08caa1f",
        "KCS": "0xf34960d9d60be18cc1d5afc1a6f012a723a28811",
        "CHZ": "0x3506424f91fd33084466f402d5d97f05f8e3b4af",
        "CETH": "0x4ddc2d193948926d02f9b1fe9e1daa0718270ed5",
        "APE": "0x4d224452801aced8b2f0aebe155379bb5d594381",
        "FXS": "0x3432b6a60d23ca0dfca7761b7ab56459d9c964d0",
        "RPL": "0xd33526068d116ce69f19a9ee46f0bd304f21a51f",
        "HT": "0x6f259637dcd74c767781e37bc6133cd6a68aa161",
        "BTT": "0xc669928185dbce49d2230cc9b0979be6dc797957",
        "DYDX": "0x92d6c1e31e14520e676a687f0a93788b716beff5",
        "SFRXETH": "0xac3e018457b222d93114458476f3e3416abbe38f",
        "CBETH": "0xBe9895146f7AF43049ca1c1AE358B0541Ea49704",
        "NFT": "0x198d14f2ad9ce69e76ea330b374de4957c3f850a",
        "NXM": "0xd7c49cee7e9188cca6ad8ff264c1da2e69d4cf3b",
        "NEXO": "0xb62132e35a6c13ee1ee0f84dc5d40bad8d815206",
        "WOO": "0x4691937a7508860f876c9c0a2a617e7d9e945d4b",
        "ZIL": "0x05f4a42e251f2d52b8ed15e9fedaacfcef1fad27",
        "COMP": "0xc00e94cb662c3520282e6f5717214004a7f26888",
        "MX": "0x11eef04c884e24d9b7b4760e7476d06ddf797f36",
        "BAT": "0x0d8775f648430679a709e98d2b0cb6250d2887ef",
        "PEPE": "0x6982508145454ce325ddbe47a25d4ec3d2311933",
        "1INCH": "0x111111111117dc0aa78b770fa6a738034120c302",
        "HBTC": "0x0316EB71485b0Ab14103307bf65a021042c6d380",
        "SFP": "0x12e2b8033420270db2f3b328e32370cb5b2ca134",
        "CAKE": "0x152649eA73beAb28c5b49B26eb48f7EAD6d4c898",
        "GNO": "0x6810e776880c02933d47db1b9fc05908e5386b96",
        "MCO": "0xb63b606ac810a52cca15e44bb630fd42d8d1d83d",
        "FLOKI": "0xcf0c122c6b73ff809c693db761e7baebe62b6a2e",
        "WQTUM": "0x3103df8f05c4d8af16fd22ae63e406b97fec6938",
        "FET": "0xaea46A60368A7bD060eec7DF8CBa43b7EF41Ad85",
        "ILV": "0x767fe9edc9e0df98e07454847909b5e959d7ca0e",
        "CELO": "0x3294395e62f4eb6af3f1fcf89f5602d90fb3ef69",
        "WCELO": "0xe452e6ea2ddeb012e20db73bf5d3863a3ac8d77a",
        "CUSDT": "0xf650c3d88d12db855b8bf7d11be6c55a4e07dcc9",
        "AGIX": "0x5b7533812759b45c2b44c19e320ba2cd2681b542",
        "HOT": "0x6c6ee5e31d828de241282b9606c8e98ea48526e2",
        "MASK": "0x69af81e73a73b40adf4f3d4223cd9b1ece623074",
        "ENJ": "0xf629cbd94d3791c9250152bd8dfbdf380e2a3b9c",
        "LRC": "0xbbbbca6a901c926f240b89eacb641d8aec7aeafd",
        "WLD": "0x163f8c2467924be0ae7b5347228cabf260318753",
        "CVX": "0x4e3fbd56cd56c3e72c1403e103b45db9da5b9d2b",
        "DFI": "0x8fc8f8269ebca376d046ce292dc7eac40c8d358a",
        "MC": "0x949d48eca67b17269629c7194f4b727d4ef9e5d6",
        "GLM": "0x7DD9c5Cba05E151C895FDe1CF355C9A1D5DA6429",
        "GMT": "0x7ddc52c4de30e94be3a6a0a2b259b2850f421989",
        "ANT": "0xa117000000f279d81a1d3cc75430faa017fa5a2e",
        "BLUR": "0x5283d291dbcf85356a21ba090e6db59121208b44",
        "CHSB": "0xba9d4199fab4f26efe3551d490e3821486f135ba",
        "OHM": "0x64aa3364f17a4d01c6f1751fd97c2bd3d7e7f1d5",
        "CUSDC": "0x39aa39c021dfbae8fac545936693ac917d5e7563",
        "BAND": "0xba11d00c5f74255f56a5e366f4f77f5a186d7f55",
        "ENS": "0xc18360217d8f7ab5e7c516566761ea12ce7f9d72",
        "WAX": "0x39bb259f66e1c59d5abef88375979b4d20d98022",
        "TRB": "0x88df592f8eb5d7bd38bfef7deb0fbc02cf3778a0",
        "YFI": "0x0bc529c00C6401aEF6D220BE8C6Ea1667F6Ad93e",
        "IOTX": "0x6fb3e0a217407efff7ca062d46c26e5d60a14d69",
        "LPT": "0x58b6a8a3302369daec383334672404ee733ab239",
        "GUSD": "0x056fd409e1d7a124bd7017459dfea2f387b6d5cd",
        "SXP": "0x8ce9137d39326ad0cd6491fb5cc0cba0e089b6a9",
        "ELF": "0xbf2179859fc6d5bee9bf9158632dc51678a4100e",
        "POLY": "0x9992ec3cf6a55b00978cddf2b27bc6882d88d1ec",
        "CDAI": "0x5d3a536E4D6DbD6114cc1Ead35777bAB948E3643",
        "IOST": "0xfa1a856cfa3409cfa145fa4e20eb270df3eb21ab",
        "ORBS": "0xff56cc6b1e6ded347aa0b7676c85ab0b3d08b0fa",
        "AXL": "0x467719ad09025fcc6cf6f8311755809d45a5e5f3",
        "RBN": "0x6123b0049f904d730db3c36a31167d9d4121fa6b",
        "SETH2": "0xFe2e637202056d30016725477c5da089Ab0A043A",
        "BAL": "0xba100000625a3754423978a60c9317c58a424e3d",
        "TRIBE": "0xc7283b66eb1eb5fb86327f08e1b5816b0720212b",
        "EURS": "0xdb25f211ab05b1c97d595516f45794528a807ad8",
        "ONE": "0x799a4202c12ca952cb311598a024c80ed371a41e",
        "LQTY": "0x6dea81c8171d0ba574754ef6f8b412f2ed88c54d",
        "OCEAN": "0x967da4048cD07aB37855c090aAF366e4ce1b9F48",
        "STPT": "0xde7d85157d9714eadf595045cc12ca4a5f3e2adb",
        "BORA": "0x26fb86579e371c7aedc461b2ddef0a8628c93d3b",
        "EBORA": "0x94efe52d17983e6545180fa46d14f344372e180f",
        "CRVUSD": "0xf939E0A03FB07F59A73314E73794Be0E57ac1b4E",
        "KNC": "0xdeFA4e8a7bcBA345F687a2f1456F5Edd9CE97202",
        "SUSHI": "0x6b3595068778dd592e39a122f4f5a5cf09c90fe2",
        "SKL": "0x00c83aecc790e8a4453e5dd3b0b4b3680501a7a7",
        "SNT": "0x744d70fdbe2ba4cf95131626614a1763df805b9e",
        "CDT": "0x177d39ac676ed1c67a2b268ad7f1e58826e5b0af",
        "UMA": "0x04Fa0d235C4abf4BcF4787aF4CF447DE572eF828",
        "API3": "0x0b38210ea11411557c13457D4dA7dC6ea731B88a",
        "PUNDIX": "0x0fd10b9899882a6f2fcb5c371e17e70fdee00c38",
        "CTSI": "0x491604c0FDF08347Dd1fa4Ee062a822A5DD06B5D",
        "POWR": "0x595832f8fc6bf59c85c527fec3740a1b7a361269",
        "PLA": "0x3a4f40631a4f906c2BaD353Ed06De7A5D3fCb430",
        "DKA": "0x5dc60C4D5e75D22588FA17fFEB90A63E535efCE0",
        "RSR": "0x320623b8e4ff03373931769a31fc52a4e78b5d70",
        "PRIME": "0xb23d80f5fefcddaa212212f028021b41ded428cf",
        "TRAC": "0xaa7a9ca87d3694b5755f213b5d04094b8d0f0a6f",
        "C98": "0xae12c5930881c53715b369cec7606b70d8eb229f",
        "SSV": "0x9d65ff81a3c488d585bbfb0bfe3c7707c7917f54",
        "PLTC": "0x429D83Bb0DCB8cdd5311e34680ADC8B12070a07f",
        "ELON": "0x761d38e5ddf6ccf6cf7c55759d5210750b5d60f3",
        "TEL": "0x467Bccd9d29f223BcE8043b84E8C8B282827790F",
        "STG": "0xaf5191b0de278c7286d6c7cc6ab6bb8a73ba2cd6",
        "SURE": "0xcb86c6a22cb56b6cf40cafedb06ba0df188a416e",
        "MTL": "0xF433089366899D83a9f26A773D59ec7eCF30355e",
        "KUB": "0x0649cef6d11ed6f88535462e147304d3fe5ae14d",
        "IQ": "0x579cea1889991f68acc35ff5c3dd0621ff29b0c9",
        "AMP": "0xff20817765cb7f73d4bde2e66e067e58d11095c2",
        "BFC": "0x0c7D5ae016f806603CB1782bEa29AC69471CAb9c",
        "BLZ": "0x5732046a883704404f284ce41ffadd5b007fd668",
        "CQT": "0xd417144312dbf50465b1c641d016962017ef6240",
        "PYR": "0x430EF9263E76DAE63c84292C3409D61c598E9682",
        "CET": "0x081f67afa0ccf8c7b17540767bbe95df2ba8d97f",
        "FX": "0x8c15ef5b4b21951d50e53e4fbda8298ffad25057",
        "VVS": "0x839e71613f9aa06e5701cf6de63e303616b0dde3",
        "MVL": "0xa849eaae994fb86afa73382e9bd88c2b6b18dc71",
        "DEXE": "0xde4EE8057785A7e8e800Db58F9784845A5C2Cbd6",
        "BNT": "0x1f573d6fb3f13d689ff844b4ce37794d79a7ff1c",
        "NMR": "0x1776e1f26f98b1a5df9cd347953a26dd3cb46671",
        "DAO": "0x0f51bb10119727a7e5ea3538074fb341f56b09ad",
        "PROM": "0xfc82bb4ba86045af6f327323a46e80412b91b27d",
        "WNXM": "0x0d438f3b5175bebc262bf23753c1e53d03432bde",
        "HEZ": "0xEEF9f339514298C6A857EfCfC1A762aF84438dEE",
        "RLC": "0x607F4C5BB672230e8672085532f7e901544a7375",
        "STMX": "0xa62cc35625b0c8dc1faea39d33625bb4c15bd71c",
        "PENDLE": "0x808507121b80c02388fad14726482e061b8da827",
        "CELR": "0x4f9254c83eb525f9fcf346490bbb3ed28a81c667",
        "POND": "0x57b946008913b82e4df85f501cbaed910e58d26c",
        "ACH": "0xed04915c23f00a313a544955524eb7dbd823143d",
        "STARL": "0x8e6cd950ad6ba651f6dd608dc70e5886b1aa6b24",
        "OETH": "0x856c4Efb76C1D1AE02e20CEB03A2A6a08b0b8dC3",
        "HUNT": "0x9aab071b4129b083b01cb5a0cb513ce7eca26fa5",
        "SDEX": "0x5de8ab7e27f6e7a1fff3e5b337584aa43961beef",
        "OMG": "0xd26114cd6EE289AccF82350c8d8487fedB8A0C07",
        "SX": "0x99fe3b1391503a1bc1788051347a1324bff41452",
        "UNIBOT": "0xf819d9cb1c2a819fd991781a822de3ca8607c3c9",
        "REEF": "0xfe3e6a25e6b192a42a44ecddcd13796471735acf",
        "DENT": "0x3597bfd533a99c9aa083587b074434e61eb0a258",
        "QKC": "0xea26c4ac16d4a5a106820bc8aee85fd0b7b2b664",
        "HXRO": "0x4bd70556ae3f8a6ec6c4080a0c327b24325438f3",
        "DODO": "0x43Dfc4159D86F3A37A5A4B3D4580b888ad7d4DDd",
        "SLP": "0xcc8fa225d80b9c7d42f96e9570156c65d6caaa25",
        "CEL": "0xaaaebe6fe48e54f431b0c390cfaf0b017d09d42d",
        "ALPHA": "0xa1faa113cbe53436df28ff0aee54275c13b40975",
        "PHA": "0x6c5bA91642F10282b576d91922Ae6448C9d52f4E",
        "BTM": "0xcb97e65f07da24d46bcdd078ebebd7c6e6e3d750",
        "SYN": "0x0f2d719407fdbeff09d87557abb7232601fd9f29",
        "WILD": "0x2a3bff78b79a009976eea096a51a948a3dc00e34",
        "OGN": "0x8207c1ffc5b6804f6024322ccf34f29c3541ae26",
        "ALICE": "0xac51066d7bec65dc4589368da368b212745d63e8",
        "METIS": "0x9e32b13ce7f2e80a01932b42553652e053d6ed8e",
        "SPELL": "0x090185f2135308bad17527004364ebcc2d37e5f6",
        "WSM": "0xb62e45c3df611dce236a6ddc7a493d79f9dfadef",
        "STORJ": "0xb64ef51c888972c908cfacf59b47c1afbc0ab8ac",
        "BZR": "0x8d96b4ab6c741a4c8679ae323a100d74f085ba8f",
        "KEEP": "0x85eee30c52b0b379b046fb0f85f4f3dc3009afec",
        "EURC": "0x1aBaEA1f7C830bD89Acc67eC4af516284b1bC33c",
        "NKN": "0x5cf04716ba20127f1e2297addcf4b5035000c9eb",
        "CHR": "0x8A2279d4A90B6fe1C4B30fa660cC9f926797bAA2",
        "BRISE": "0xf2b2f7b47715256ce4ea43363a867fdce9353e3a",
        "REQ": "0x8f8221afbb33998d8584a2b05749ba73c37a938a",
        "LON": "0x0000000000095413afc295d19edeb1ad7b71c952",
        "VRA": "0xf411903cbc70a74d22900a5de66a2dda66507255",
        "ARPA": "0xba50933c268f567bdc86e1ac131be072c6b0b71a",
        "GTC": "0xde30da39c46104798bb5aa3fe8b9e0e1f348163f",
        "AERGO": "0x91Af0fBB28ABA7E31403Cb457106Ce79397FD4E6",
        "ID": "0x2dfF88A56767223A5529eA5960Da7A3F5f766406",
        "EWTB": "0x178c820f862b14f316509ec36b13123da19a6054",
        "UOS": "0xd13c7342e1ef687c5ad21b27c2b65d772cab5c8c",
        "NXRA": "0x644192291cc835a93d6330b24ea5f5fedd0eef9e",
        "ANKRETH": "0xE95A203B1a91a908F9B9CE46459d101078c2c3cb",
        "SAITAMA": "0xCE3f08e664693ca792caCE4af1364D5e220827B2",
        "CRE": "0x115ec79f1de567ec68b7ae7eda501b406626478e",
        "DUSK": "0x940a2db1b7008b6c776d4faaca729d6d4a4aa551",
        "ALI": "0x6b0b3a982b4634ac68dd83a4dbf02311ce324181",
        "LINA": "0x3E9BC21C9b189C09dF3eF1B824798658d5011937",
        "ARKM": "0x6e2a43be0b1d33b726f0ca3b8de60b3482b8b050",
        "COTI": "0xddb3422497e61e13543bea06989c0789117555c5",
        "PEOPLE": "0x7a58c0be72be218b41c608b7fe7c5bb630736c71",
        "DEXT": "0xfb7b4564402e5500db5bb6d63ae671302777c75a",
        "GEL": "0x15b7c0c907e4c6b9adaaaabc300c08991d6cea05",
        "AGLD": "0x32353A6C91143bfd6C7d363B546e62a9A2489A20",
        "FUN": "0x419d0d8bdd9af5e606ae2232ed285aff190e711b",
        "FCT": "0xe1bad922f84b198a08292fb600319300ae32471b",
        "BETA": "0xbe1a001fe942f96eea22ba08783140b9dcc09d28",
        "EFI": "0x656c00e1bcd96f256f224ad9112ff426ef053733",
        "VITA": "0x81f8f0bb1cb2a06649e51913a151f0e7ef6fa321",
        "QANX": "0xaaa9214f675316182eaa21c85f0ca99160cc3aaa",
        "GODS": "0xccc8cb5229b0ac8069c51fd58367fd1e622afd97",
        "XYO": "0x55296f69f40ea6d20e478533c15a6b08b654e758",
        "XIDO": "0xf6650117017ffd48b725b4ec5a00b414097108a7",
        "MNW": "0xd3e4ba569045546d09cf021ecc5dfe42b1d7f6e4",
        "CUSD": "0xC22956c3CFeC3Ee9A9925abeE044F05Bc47f6632",
        "WCUSD": "0xad3e3fc59dff318beceaab7d00eb4f68b1ecf195",
        "HFT": "0xb3999f658c0391d94a37f7ff328f3fec942bcadc",
        "COMBO": "0xc03fbf20a586fa89c2a5f6f941458e1fbc40c661",
        "EURT": "0xC581b735A1688071A1746c968e0798D642EDE491",
        "RACA": "0x12bb890508c125661e03b09ec06e404bc9289040",
        "AUCTION": "0xa9b1eb5908cfc3cdf91f9b8b3a74108598009096",
        "BOND": "0x0391D2021f89DC339F60Fff84546EA23E337750f",
        "TRU": "0x4c19596f5aaff459fa38b0f7ed92f11ae6543784",
        "MIM": "0x99d8a9c45b2eca8864373a26d1459e3dff1e17f3",
        "MCB": "0x4e352cF164E64ADCBad318C3a1e222E9EBa4Ce42",
        "OXT": "0x4575f41308EC1483f3d399aa9a2826d74Da13Deb",
        "$PAAL": "0x14feE680690900BA0ccCfC76AD70Fd1b95D10e16",
        "TLM": "0x888888848b652b3e3a0f34c96e00eec0f3a23f72",
        "RDPX": "0x0ff5a8451a839f5f0bb3562689d9a44089738d11",
        "KEY": "0x4cc19356f2d37338b9802aa8e8fc58b0373296e7",
        "LEVER": "0x4b5f49487ea7b3609b1ad05459be420548789f1f",
        "BOBA": "0x42bbfa2e77757c645eeaad1655e0911a7553efbc",
        "BEAN": "0xbea0000029ad1c77d3d5d23ba2d8893db9d1efab",
        "G-CRE": "0xa3ee21c306a700e682abcdfe9baa6a08f3820419",
        "ASD": "0xff742d05420b6aca4481f635ad8341f81a6300c2",
        "BTMX": "0xcca0c9c383076649604eE31b20248BC04FdF61cA",
        "AURA": "0xC0c293ce456fF0ED870ADd98a0828Dd4d2903DBF",
        "IDEX": "0xb705268213d593b8fd88d3fdeff93aff5cbdcfae",
        "HELLO": "0x411099c0b413f4feddb10edf6a8be63bd321311c",
        "RARE": "0xba5bde662c17e2adff1075610382b9b691296350",
        "DG": "0x53c8395465a84955c95159814461466053dedede",
        "SDAO": "0x993864e43caa7f7f12953ad6feb1d1ca635b875f",
        "ORAI": "0x4c11249814f11b9346808179cf06e71ac328c1b5",
        "ATA": "0xa2120b9e674d3fc3875f415a7df52e382f141225",
        "SUSD": "0x57ab1ec28d129707052df4df418d58a2d46d5f51",
        "BOX": "0xe1A178B681BD05964d3e3Ed33AE731577d9d96dD",
        "LOOKS": "0xf4d2888d29d722226fafa5d9b24f9164c092421e",
        "ULT": "0xe884cc2795b9c45beeac0607da9539fd571ccf85",
        "EXRD": "0x6468e79A80C0eaB0F9A2B574c8d5bC374Af59414",
        "LCX": "0x037a54aab062628c9bbae1fdb1583c195585fe41",
        "UQC": "0x8806926Ab68EB5a7b909DcAf6FdBe5d93271D6e2",
        "MOC": "0x865ec58b06bf6305b886793aa20a2da31d034e68",
        "ZEON": "0xe5b826ca2ca02f09c1725e9bd98d9a8874c30532",
        "KIN": "0x818fc6c2ec5986bc6e2cbf00939d90556ab12ce5",
        "CXO": "0xb6ee9668771a79be7967ee29a63d4184f8097143",
        "LIT": "0xb59490ab09a0f526cc7305822ac65f2ab12f9723",
        "VR": "0x7d5121505149065b562c789a0145ed750e6e8cdd",
        "CEEK": "0xb056c38f6b7dc4064367403e26424cd2c60655e1",
        "ERN": "0xbbc2ae13b23d715c30720f079fcd9b4a74093505",
        "RLY": "0xf1f955016EcbCd7321c7266BccFB96c68ea5E49b",
        "AQT": "0x2a9bDCFF37aB68B95A53435ADFd8892e86084F93",
        "CBAT": "0x6c8c6b02e7b2be14d4fa6022dfd6d75921d90e4e",
        "JPEG": "0xe80c0cd204d654cebe8dd64a4857cab6be8345a3",
        "FORTH": "0x77fba179c79de5b7653f68b5039af940ada60ce0",
        "DIA": "0x84cA8bc7997272c7CfB4D0Cd3D55cd942B3c9419",
        "CTXC": "0xea11755ae41d889ceec39a63e6ff75a02bc1c00d",
        "ROUTE": "0x16eccfdbb4ee1a85a33f3a9b21175cd7ae753db4",
        "FPIS": "0xc2544a32872a91f4a553b404c6950e89de901fdb",
        "THOR": "0xa5f2211b9b8170f694421f2046281775e8468044",
        "SETH": "0x5e74c9036fb86bd7ecdcb084a0673efc32ea31cb",
        "GOG": "0x9ab7bb7fdc60f4357ecfef43986818a2a3569c62",
        "QUICK": "0xd2ba23de8a19316a638dc1e7a9adda1d74233368",
        "FRONT": "0xf8C3527CC04340b208C854E985240c02F7B7793f",
        "TPT": "0x4161725d019690a3e0de50f6be67b07a86a9fae1",
        "MDT": "0x814e0908b12a99fecf5bc101bb5d0b8b5cdf7d26",
        "ALCX": "0xdbdb4d16eda451d0503b854cf79d55697f90c8df",
        "PLU": "0xD8912C10681D8B21Fd3742244f44658dBA12264E",
        "GHO": "0x40D16FC0246aD3160Ccc09B8D0D3A2cD28aE6C2f",
        "CLV": "0x80c62fe4487e1351b47ba49809ebd60ed085bf52",
        "TVK": "0xd084b83c305dafd76ae3e1b4e1f1fe2ecccb3988",
        "XSGD": "0x70e8dE73cE538DA2bEEd35d14187F6959a8ecA96",
        "LEND": "0x80fB784B7eD66730e8b1DBd9820aFD29931aab03",
    },
    # Top 300 Polygon Mainnet Tokens By Market Cap, Symbols & Contract Addresses.
    'polygon': {
        "USDT": "0xc2132d05d31c914a87c6611c10748aeb04b58e8f",
        "BNB": "0x3BA4c387f786bFEE076A58914F5Bd38d668B42c3",
        "USDC": "0x3c499c542cEF5E3811e1192ce70d8cC03d5c3359",
        "USDC.E": "0x2791bca1f2de4661ed88a30c99a7a9449aa84174",
        "BUSD": "0xdab529f40e671a1d4bf91361c21bf9f0c9712ab7",
        "MATIC": "0x0000000000000000000000000000000000001010",
        "WETH": "0x7ceB23fD6bC0adD59E62ac25578270cFf1b9f619",
        "LINK": "0x53e0bca35ec356bd5dddfebbd1fc0fd03fabad39",
        "WBTC": "0x1bfd67037b42cf73acf2047067bd4f2c47d9bfd6",
        "SHIB": "0x6f8a06447ff6fcf75d803135a7de15ce88c1d4ec",
        "DAI": "0x8f3cf7ad23cd3cadbd9735aff958023239c6a063",
        "LEO": "0x06d02e9d62a13fc76bb229373fb3bbbd1101d2fc",
        "AVAX": "0x2C89bbc92BD86F8075d1DEcc58C7F4E0107f286b",
        "TUSD": "0x2e1ad108ff1d8c782fcbbb89aad783ac49586756",
        "UNI": "0xb33eaad8d922b1083446dc23f610c2567fb5180f",
        "LDO": "0xc3c7d422809852031b44ab29eec9f1eff2a58756",
        "CRO": "0xada58df0f643d959c2a47c9d4d4c1a4defe3f11c",
        "MKR": "0x6f7C932e7684666C9fd1d44527765433e01fF61d",
        "AAVE": "0xd6df932a45c0f255f85145f286ea0b292b21c90b",
        "RETH": "0x0266F4F08D82372CF0FcbCCc0Ff74309089c74d1",
        "GRT": "0x5fe2b58c013d7601147dcdd68c143a77499f5531",
        "INJ": "0x4e8dc2149eac3f3def36b1c281ea466338249371",
        "RNDR": "0x61299774020da444af134c82fa83e3810b309991",
        "USDD": "0xffa4d863c96e743a2e1513824ea006b8d0353c57",
        "SNX": "0x50b728d8d964fd00c2d0aad81718b71311fef68a",
        "FRAX": "0x45c32fa6df82ead1e2ef74d17b76547eddfaff89",
        "SAND": "0xBbba073C31bF03b8ACf7c28EF0738DeCF3695683",
        "THETA": "0xb46e0ae620efd98516f49bb00263317096c114b2",
        "FTM": "0xc9c1c1c20b3658f8787cc2fd702267791f224ce1",
        "MANA": "0xa1c57f48f0deb89f569dfbe6e2b7f46d33606fd4",
        "PAXG": "0x553d3d295e0f695b9228246232edf400ed3560b5",
        "PAX": "0x6f3b3286fd86d8b47ec737ceb3d0d354cc657b3e",
        "FRXETH": "0xee327f889d5947c1dc1934bb208a1e792f953e96",
        "CHZ": "0xf1938ce12400f9a761084e7a80d37e732a4da056",
        "APE": "0xB7b31a6BC18e48888545CE79e83E06003bE70930",
        "FXS": "0x1a3acf6d19267e2d3e7f898f42803e90c9219062",
        "CRV": "0x172370d5cd63279efa6d502dab29171933a610af",
        "RPL": "0x7205705771547cf79201111b4bd8aaf29467b9ec",
        "HT": "0xfad65eb62a97ff5ed91b23afd039956aaca6e93b",
        "SFRXETH": "0x6d1fdbb266fcc09a16a22016369210a15bb95761",
        "NEXO": "0x41b3966b4ff7b427969ddf5da3627d6aeae9a48e",
        "WOO": "0x1b815d120b3ef02039ee11dc2d33de7aa4a8c603",
        "COMP": "0x8505b9d2254a7ae468c0e9dd10ccea3a837aef5c",
        "BAT": "0x3cef98bb43d732e2f285ee605a8158cde967d219",
        "1INCH": "0x9c2c5fd7b07e95ee044ddeba0e97a665f142394f",
        "POLY": "0xcb059c5573646047d6d88dddb87b745c18161d3b",
        "GNO": "0x5ffd62d3c3ee2e81c00a7b9079fb248e7df024a8",
        "SXP": "0x6abb753c1893194de4a83c6e8b4eadfc105fd5f5",
        "FET": "0x7583feddbcefa813dc18259940f76a02710a8905",
        "AGIX": "0x190eb8a183d22a4bdf278c6791b152228857c033",
        "HOT": "0x0c51f415cf478f8d08c246a6c6ee180c5dc3a012",
        "MASK": "0x2b9e7ccdf0f4e5b24757c1e1a80e311e34cb10c7",
        "ENJ": "0x7ec26842f195c852fa843bb9f6d8b583a274a157",
        "LRC": "0x84e1670f61347cdaed56dcc736fb990fbb47ddc1",
        "ANKR": "0x101a023270368c0d50bffb62780f4afd4ea79c35",
        "GLM": "0x0b220b82f3ea3b7f6d9a1d8ab58930c064a2b5bf",
        "CHSB": "0x67ce67ec4fcd4aca0fcb738dd080b2a21ff69d75",
        "BAND": "0xa8b1e0764f85f53dfe21760e8afe5446d82606ac",
        "TRB": "0xe3322702bedaaed36cddab233360b939775ae5f1",
        "YFI": "0xda537104d6a5edd53c6fbba9a898708e465260b6",
        "IOTX": "0xf6372cdb9c1d3674e83842e3800f2a62ac9f3c66",
        "LPT": "0x3962f4a0a0051dcce0be73a7e09cef5756736712",
        "GUSD": "0xc8a94a3d3d2dabc3c1caffffdca6a7543c3e3e65",
        "OCEAN": "0x282d8efce846a88b159800bd4130ad77443fa1a1",
        "ORBS": "0x614389eaae0a6821dc49062d56bda3d9d45fa2ff",
        "AXL": "0x6e4e624106cb12e168e6533f8ec7c82263358940",
        "BAL": "0x9a71012b13ca4d3d0cdc72a177df3ef03b0e76a3",
        "EURS": "0xe111178a87a3bff0c8d18decba5798827539ae99",
        "GNS": "0xE5417Af564e4bFDA1c483642db72007871397896",
        "PBORA": "0x0ef39e52704ad52e2882bbfa6781167e1b6c4510",
        "POWR": "0x0aab8dc887d34f00d50e19aee48371a941390d14",
        "UST": "0x692597b009d13c4049a947cab2239b7d6517875f",
        "KNC": "0x1c954e8fe737f99f68fa1ccda3e51ebdb291948c",
        "SUSHI": "0x0b3f868e0be5597d5db7feb59e1cadbb0fdda50a",
        "UMA": "0x3066818837c5e6ed6601bd5a91b0762877a6b731",
        "C98": "0x77f56cf9365955486b12c4816992388ee8606f0e",
        "ELON": "0xe0339c80ffde91f3e20494df88d4206d86024cdf",
        "TEL": "0xdf7837de1f2fa4631d716cf2502f8b230f1dcc32",
        "STG": "0x2f6f07cdcf3588944bf4c42ac74ff24bf56e7590",
        "IQ": "0xb9638272ad6998708de56bbc0a290a1de534a578",
        "AMP": "0x0621d647cecbfb64b79e44302c1933cb4f27054d",
        "EWTB": "0x43e4b063f96c33f0433863a927f5bad34bb4b03d",
        "BLZ": "0x438b28c5aa5f00a817b7def7ce2fb3d5d1970974",
        "BNT": "0xc26d47d5c33ac71ac5cf9f776d63ba292a4f7842",
        "RLC": "0xbe662058e00849c3eef2ac9664f37fefdf2cdbfe",
        "PYR": "0x430EF9263E76DAE63c84292C3409D61c598E9682",
        "POND": "0x73580a2416a57f1c4b6391dba688a9e4f7dbece0",
        "BEPRO": "0x07cc1cc3628cc1615120df781ef9fc8ec2feae09",
        "OMG": "0x62414d03084eeb269e18c970a21f45d2967f0170",
        "ULT": "0xf0059cc2b3e980065a906940fbce5f9db7ae40a7",
        "SDEX": "0x6899face15c14348e1759371049ab64a3a06bfa6",
        "SX": "0x840195888db4d6a99ed9f73fcd3b225bb3cb1a79",
        "CEL": "0xd85d1e945766fea5eda9103f918bd915fbca63e6",
        "SYN": "0xf8f9efc0db77d8881500bb06ff5d6abc3070e695",
        "OGN": "0xa63beffd33ab3a2efd92a39a7d2361cee14ceba8",
        "W$C": "0x77a6f2e9a9e44fd5d5c3f9be9e52831fc1c3c0a0",
        "MATICX": "0xfa68fb4628dff1028cfec22b4162fccd0d45efb6",
        "KEEP": "0x42f37a1296b2981f7c3caced84c5096b2eb0c72c",
        "REQ": "0xb25e20de2f2ebb4cffd4d16a55c7b395e8a94762",
        "GTC": "0xdb95f9188479575f3f718a245eca1b3bf74567ec",
        "AETHC": "0xc4e82ba0fe6763cbe5e9cbca0ba7cbd6f91c6018",
        "NAKA": "0x311434160d7537be358930def317afb606c0d737",
        "USDR": "0x40379a439d4f6795b6fc9aa5687db461677a2dba",
        "MFT": "0x91ca694d2b293f70fe722fba7d8a5259188959c3",
        "XYO": "0xd2507e7b5794179380673870d88b22f94da6abe0",
        "GHST": "0x385eeac5cb85a38a9a07a70c73e0a3271cfb54a7",
        "OXT": "0x9880e3dda13c8e7d4804691a45160102d31f6060",
        "BOBA": "0xa4B2B20b2C73c7046ED19AC6bfF5E5285c58F20a",
        "VGX": "0x054c42b6414747f5263b4a86f21b1afad00326bf",
        "ORAI": "0xf4310adb83694bc4808e0c5ca8f7027c6127921d",
        "ATA": "0x0df0f72ee0e5c9b7ca761ecec42754992b2da5bf",
        "SUSD": "0xf81b4bec6ca8f9fe7be01ca734f55b2b6e03a7a0",
        "USX": "0xCf66EB3D546F0415b368d98A95EAF56DeD7aA752",
        "LCX": "0xe8a51d0dd1b4525189dda2187f90ddf0932b5482",
        "LIT": "0xe6e320b7bb22018d6ca1f4d8cea1365ef5d25ced",
        "CXO": "0xf2ae0038696774d65e67892c9d301c5f2cbbda58",
        "RLY": "0x76b8D57e5ac6afAc5D415a054453d1DD2c3C0094",
        "AURA": "0x1509706a6c66ca549ff0cb464de88231ddbe213b",
        "LIF3": "0x110b25d2b21ee73eb401f3ae7833f7072912a0bf",
        "RAMP": "0xaecebfcf604ad245eaf0d5bd68459c3a7a6399c2",
        "FORTH": "0x5ecba59dacc1adc5bdea35f38a732823fc3de977",
        "ROUTE": "0x16eccfdbb4ee1a85a33f3a9b21175cd7ae753db4",
        "FRONT": "0xa3ed22eee92a3872709823a6970069e12a4540eb",
        "QUICK": "0xB5C064F955D8e7F38fE0460C556a72987494eE17",
        "PLU": "0x7dc0cb65ec6019330a6841e9c274f2ee57a6ca6c",
        "XSGD": "0xDC3326e71D45186F113a2F448984CA0e8D201995",
        "NEST": "0x98f8669f6481ebb341b522fcd3663f79a3d1a6a7",
        "GEL": "0x15b7c0c907e4C6b9AdaAaabC300C08991D6CEA05",
        "LEND": "0x313d009888329c9d1cf4f75ca3f32566335bd604",
        "USD+": "0x236eec6359fb44cce8f97e99387aa7f8cd5cde1f",
        "WUSD+": "0x4e36d8006416ea1d939a0eeae73afdaca86bd376",
        "MIMATIC": "0xa3fa99a148fa48d14ed51d610c367c61876997f1",
        "INST": "0xf50d05a1402d0adafa880d36050736f9f6ee7dee",
        "ZRX": "0x5559edb74751a0ede9dea4dc23aee72cca6be3d5",
        "ADX": "0xdda7b23d2d72746663e7939743f929a3d85fc975",
        "BZRX": "0x54cfe73f2c7d0c4b62ab869b473f5512dc0944d2",
        "DATA": "0x3a9A81d576d83FF21f26f325066054540720fC34",
        "SWISE": "0xbbbe128568222623d21299f019a978c8587b33dc",
        "AGEUR": "0xe0b52e49357fd4daf2c15e02058dce6bc0057db4",
        "ADS": "0x598e49f01befeb1753737934a5b11fea9119c796",
        "RBLS": "0xe26cda27c13f4f87cffc2f437c5900b27ebb5bbb",
        "ORN": "0xD2cDcB6BdEE6f78DE7988a6A60d13F6eF0b576D9",
        "SD": "0x1d734a02ef1e1f5886e66b0673b71af5b53ffa94",
        "BOSON": "0x9b3b0703d392321ad24338ff1f846650437a43c9",
        "VEXT": "0x27842334c55c01ddfe81bf687425f906816c5141",
        "DERC": "0xb35fcbcf1fd489fce02ee146599e893fdcdc60e6",
        "VOXEL": "0xd0258a3fd00f38aa8090dfee343f10a9d4d30d3f",
        "DF": "0x08c15fa26e519a78a666d19ce5c646d55047e0a3",
        "STC": "0x779b299ea455d35a44fe9bac48648be22c08dea2",
        "THALES": "0x692c44990e4f408ba0917f5c78a83160c1557237",
        "SDT": "0x361a5a4993493ce00f61c32d4ecca5512b82ce90",
        "HOPR": "0x6ccbf3627b2c83afef05bf2f035e7f7b210fe30d",
        "FSN": "0xfa1171334cb3a0f0a91e8ca6765f10e9638d1cbf",
        "UNCX": "0x9eecd634c7a934f752af0eb90dda9ecc262f199f",
        "OM": "0xc3ec80343d2bae2f8e680fdadde7c17e71e114ea",
        "DIMO": "0xaa32a9e74486dd136ccedf17061fe4efc95a621e",
        "BWO": "0xc1543024dc71247888a7e139c644f44e75e96d38",
        "SRM": "0x6bf2eb299e51fc5df30dec81d9445dde70e3f185",
        "AIOZ": "0xe2341718c6c0cbfa8e6686102dd8fbf4047a9e9b",
        "FOX": "0x65a05db8322701724c197af82c9cae41195b0aa8",
        "WXT": "0xBBCA42c60b5290F2c48871A596492F93fF0Ddc82",
        "ICHI": "0x111111517e4929d3dcbdfa7cce55d30d4b6bc4d6",
        "ICE": "0xc6c855ad634dcdad23e64da71ba85b8c51e5ad7c",
        "TORN": "0x23fe1ee2f536427b7e8ac02fb037a7f867037fe8",
        "GET": "0xdb725f82818de83e99f1dac22a9b5b51d3d04dd4",
        "HUSD": "0x2088c47fc0c78356c622f79dba4cbe1ccfa84a91",
        "DG": "0xef938b6da8576a896f6e0321ef80996f4890f9c4",
        "BTU": "0xfdc26cda2d2440d0e83cd1dee8e8be48405806dc",
        "FREE": "0x7cef6ed1e07079e174601d39066ad0856cb47988",
        "OVR": "0x1631244689ec1fecbdd22fb5916e920dfc9b8d30",
        "RARI": "0x780053837ce2ceead2a90d9151aa21fc89ed49c2",
        "PNK": "0xad93e067e149f0a5ecd12d8ea83b05581dd6374c",
        "RENBTC": "0xdbf31df14b66535af65aac99c32e9ea844e14501",
        "UBT": "0x7fbc10850cae055b27039af31bd258430e714c62",
        "WPPC": "0x91E7E32C710661C44ae44D10Aa86135d91C3Ed65",
        "PRQ": "0x9377eeb7419486fd4d485671d50baa4bf77c2222",
        "ETHM": "0x55b1a124c04a54eefdefe5fa2ef5f852fb5f2f26",
        "GBYTE": "0xab5f7a0e20b0d056aed4aa4528c78da45be7308b",
        "IXT": "0xe06bd4f5aac8d0aa337d13ec88db6defc6eaeefe",
        "NEX": "0xa486c6bc102f409180ccb8a94ba045d39f8fc7cb",
        "MASQ": "0xee9a352f6aac4af1a5b9f467f6a93e0ffbe9dd35",
        "XDG": "0xc6480da81151b2277761024599e8db2ad4c388c8",
        "RISE": "0xc17c30e98541188614df99239cabd40280810ca3",
        "PUSH": "0x58001cc1a9e17a20935079ab40b1b8f4fc19efd1",
        "SPHERE": "0x62f594339830b90ae4c084ae7d223ffafd9658a7",
        "VEE": "0xf1c1a3c2481a3a8a3f173a9ab5ade275292a6fa3",
        "VERSE": "0xc708d6f2153933daa50b2d0758955be0a93a8fec",
        "MYST": "0x1379e8886a944d2d9d440b3d88df536aea08d9f3",
        "WBAN": "0xe20b9e246db5a0d21bf9209e4858bc9a3ff7a034",
        "OMMI": "0xbc2659ead8d2d13a157a75bfc5acc156e1ea06df",
        "KLIMA": "0x4e78011ce80ee02d2c3e649fb657e45898257815",
        "$ZKP": "0x9A06Db14D639796B25A6ceC6A1bf614fd98815EC",
        "RAI": "0x00e5646f60ac6fb446f621d146b6e1886f002905",
        "WOMBAT": "0x0C9c7712C83B3C70e7c5E11100D33D9401BdF9dd",
        "DSLA": "0xa0e390e9cea0d0e8cd40048ced9fa9ea10d71639",
        "EQUAD": "0xdab625853c2b35d0a9c6bd8e5a097a664ef4ccfb",
        "FXKAP": "0xc27158bb8e08899d38765752f91d7d778e16ab8e",
        "HOGE": "0x58c1bbb508e96cfec1787acf6afe1c7008a5b064",
        "KASTA": "0x235737dbb56e8517391473f7c964db31fa6ef280",
        "BANANA": "0x5d47baba0d66083c52009271faf3f50dcc01023c",
        "ASK": "0xaA3717090CDDc9B227e49d0D84A28aC0a996e6Ff",
        "CERBY": "0xdef1fac7bf08f173d286bbbdcbeeade695129840",
        "FOAM": "0x66e16d50c07a01bb473ec794349d45aa1a0e5dc2",
        "OCC": "0xf30355ba14b2d3b31597ec71a4542f57e902cb80",
        "MITX": "0x31042a4e66eda0d12143ffc8cc1552d611da4cba",
        "VSP": "0x09c5a4bca808bd1ba2b8e6b3aaf7442046b4ca5b",
        "POLYDOGE": "0x8a953cfe442c5e8855cc6c61b1293fa648bae472",
        "DHT": "0x8c92e38eca8210f4fcbf17f0951b198dd7668292",
        "JMPT": "0x03cf5d93ca7c70ce0a21a09f4d70779d2c66b25a",
        "BOR": "0x7d8c139d5bfbafdfd1d2d0284e7fc862babe4137",
        "FACTR": "0xe0bCEEF36F3a6eFDd5EEBFACD591423f8549B9D5",
        "GM": "0x6a335ac6a3cdf444967fe03e7b6b273c86043990",
        "PAID": "0xeAEf6cAf6d5894EDB2D4EA7ec11eC4AB655f1cBF",
        "MONA": "0x6968105460f67c3bf751be7c15f92f5286fd0ce5",
        "BCT": "0x2f800db0fdb5223b3c3f354886d907a671414a7f",
        "DOGEGF": "0x0e7252706393470FfB0629DA2CAa39Fc9340F2d4",
        "CAS": "0xec4fe610b4107c95b56decc885089c06f85a63cb",
        "XED": "0x2fe8733dcb25bfbba79292294347415417510067",
        "DEUS": "0xde5ed76e7c05ec5e4572cfc88d1acea165109e44",
        "FRM": "0xd99bafe5031cc8b345cb2e8c80135991f12d7130",
        "SHA": "0x534f39c5f4df9cb13e16b24ca07c7c8c0e2eadb7",
        "UCASH": "0xa94880d3a4b39746e90cdb57f8de3732c984de14",
        "HOP": "0xc5102fE9359FD9a28f877a67E36B0F050d81a3CC",
        "AMKT": "0xb87904db461005fc716a6bf9f2d451c33b10b80b",
        "BANK": "0xdb7cb471dd0b49b29cab4a1c14d070f27216a0ab",
        "FCL": "0x6f934b45fc6043527d73c7c99313dd838e723db7",
        "INSUR": "0x8a0e8b4b0903929f47C3ea30973940D4a9702067",
        "MINX": "0x4bf6daa0f3b2f8b338836b29f17b9e7ff0e68b53",
        "JRT": "0x596ebe76e2db4470966ea395b0d063ac6197a8c5",
        "EUROE": "0x820802fa8a99901f52e39acd21177b0be6ee2974",
        "BIFI": "0xfbdd194376de19a88118e84e279b977f165d01b8",
        "NSFW": "0x8f006d1e1d9dc6c98996f50a4c810f17a47fbf19",
        "DAFI": "0x638df98ad8069a15569da5a6b01181804c47e34c",
        "DFYN": "0xc168e40227e4ebd8c1cae80f7a55a4f0e6d66c97",
        "RAZOR": "0xc91c06db0f7bffba61e2a5645cc15686f0a8c828",
        "APU": "0xc155504787e9430180f33f35edd7c5ec06cd5761",
        "LSHARE": "0xfb40b1efe90d4b786d2d9d9dc799b18bde92923b",
        "MEAN": "0x4867b60ad7c6adc98653f661f1aea31740986ba5",
        "GFI": "0x874e178a2f3f3f9d34db862453cd756e7eab0381",
        "LIME": "0x7f67639ffc8c93dd558d452b8920b28815638c44",
        "TOMB": "0x0e98c977b943f06075b2d795794238fbfb9b9a34",
        "GRUMPY": "0x733726968ae55dc58c26dbdc193fea256a704ba4",
        "WELT": "0x23e8b6a3f6891254988b84da3738d2bfe5e703b9",
        "DEFIT": "0x428360b02c1269bc1c79fbc399ad31d58c1e8fda",
        "BORING": "0x50d0799ba241e10a6e9bace2936129f117cb32af",
        "WIXS": "0x1ba17c639bdaecd8dc4aac37df062d17ee43a1b8",
        "CDT": "0x26c80854c36ff62bba7414a358c8c23bbb8dec39",
        "PAINT": "0x7c28f627ea3aec8b882b51eb1935f66e5b875714",
        "PBR": "0x0d6ae2a429df13e44a07cd2969e085e4833f64a0",
        "NFTBS": "0x6396252377F54ad33cFF9131708Da075b21d9B88",
        "CARD": "0x3a4bed49ab592a227bae8f41efd0d38e6e06d96c",
        "POOL": "0x25788a1a171ec66da6502f9975a15b609ff54cf6",
        "EDG": "0x4e0da40b9063dc48364c1c0ffb4ae9d091fc2270",
        "QI": "0x580a84c73811e1839f75d86d75d88cca0c241ff4",
        "MTA": "0xf501dd45a1198c2e1b5aef5314a68b9006d842e0",
        "AIMX": "0x33B6d77c607ea499ab5DB7e2201C5A516a78a5db",
        "GMEE": "0xcf32822ff397ef82425153a9dcb726e5ff61dca7",
        "STAKE": "0xeb5c9e515629b725d3588a55e2a43964dcfde8ca",
        "SENT": "0x48e3883233461c2ef4cb3fcf419d6db07fb86cea",
        "LITH": "0x08b0a0aaa047f94ad93cbe2ce5da4f3c21254898",
        "RENDOGE": "0xce829a89d4a55a63418bcc43f00145adef0edb8e",
        "TSHARE": "0x2d1c6a7362e75d88b4cf3b66b83052775846e2b8",
        "TXAG": "0x57fcbd6503c8be3b1abad191bc7799ef414a5b31",
        "FCD": "0xf78610d0a197842bf98ca45254897edd13c5d182",
        "RADIO": "0x613a489785c95afeb3b404cc41565ccff107b6e0",
        "RBC": "0xc3cffdaf8f3fdf07da6d5e3a89b8723d5e385ff8",
        "NGL": "0x968a8e095100f54a91cc9dae23b487616e2aeab3",
        "FXGIV": "0xc4df120d75604307dcb604fde2ad3b8a8b7c6faa",
        "ATRI": "0xb140665dde25c644c6b418e417c930de8a8a6ac9",
        "MODA": "0x5e430f88d1be82eb3ef92b6ff06125168fd5dcf2",
        "MOVE": "0x521cddc0cba84f14c69c1e99249f781aa73ee0bc",
        "MAHA": "0xedd6ca8a4202d4a36611e2fff109648c4863ae19",
        "LPOOL": "0x9e7deba360c77949bb75d16dc81b2393c15005eb",
        "SNP": "0x6911f552842236bd9e8ea8ddbb3fb414e2c5fa9d",
        "USV": "0xAC63686230f64BDEAF086Fe6764085453ab3023F",
        "0XBTC": "0x71b821aa52a49f32eed535fca6eb5aa130085978",
        "O3": "0xee9801669c6138e84bd50deb500827b776777d28",
        "IUX": "0x346404079b3792a6c548B072B9C4DDdFb92948d5",
        "CGT": "0x268F78793F20B11615eD5C4e076B288826E299ce",
        "CTI": "0x8ba941b64901e306667a287a370f145d98811096",
        "KOM": "0xc004e2318722ea2b15499d6375905d75ee5390b8",
        "DERI": "0x3d1d2afd191b165d140e3e8329e634665ffb0e5e",
        "ELK": "0xeeeeeb57642040be42185f49c52f7e9b38f8eeee",
        "GAIA": "0x723b17718289a91af252d616de2c77944962d122",
        "UFI": "0x3c205C8B3e02421Da82064646788c82f7bd753B9",
        "TOWER": "0x2bc07124d8dac638e290f401046ad584546bc47b",
        "DEC": "0x314338767151e6ed23db8a41c6f6943c1958ee56",
        "SWD": "0xaee24d5296444c007a532696aada9de5ce6cafd0",
        "ARTH": "0xe52509181feb30eb4979e29ec70d50fd5c44d590",
        "NFTY": "0xcc081220542a60a8ea7963c4f53d522b503272c1",
        "RCN": "0x89c296be2f904f3e99a6125815b4b78f5388d2dd",
        "COMBO": "0x6ddb31002abc64e1479fc439692f7ea061e78165",
        "BCMC": "0xc10358f062663448a3489fc258139944534592ac",
        "NORD": "0xf6f85b3f9fd581c2ee717c404f7684486f057f95",
        "NFTI": "0xc75ea0c71023c14952f3c7b9101ecbbaa14aa27a",
        "ROOBEE": "0xfafa220145dfa5c3ec85b6fa8a75aee2451cde5e",
        "OIL": "0x65DfA90171e1bd9060209405026C4E1f4A8E58df",
        "POP": "0xc5b57e9a1e7914fda753a88f24e5703e617ee50c",
        "SMBR": "0x16B3E050e9e2f0Ac4f1BEA1b3E4fdc43d7f062Dd",
        "TIDAL": "0xB41EC2c036f8a42DA384DDE6ADA79884F8b84b26",
    }
}

# Standard ABI For ERC20 Tokens
abi=[
    {
        "constant": True,
        "inputs": [],
        "name": "name",
        "outputs": [
            {
                "name": "",
                "type": "string"
            }
        ],
        "payable": False,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "constant": False,
        "inputs": [
            {
                "name": "_spender",
                "type": "address"
            },
            {
                "name": "_value",
                "type": "uint256"
            }
        ],
        "name": "approve",
        "outputs": [
            {
                "name": "",
                "type": "bool"
            }
        ],
        "payable": False,
        "stateMutability": "nonpayable",
        "type": "function"
    },
    {
        "constant": True,
        "inputs": [],
        "name": "totalSupply",
        "outputs": [
            {
                "name": "",
                "type": "uint256"
            }
        ],
        "payable": False,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "constant": False,
        "inputs": [
            {
                "name": "_from",
                "type": "address"
            },
            {
                "name": "_to",
                "type": "address"
            },
            {
                "name": "_value",
                "type": "uint256"
            }
        ],
        "name": "transferFrom",
        "outputs": [
            {
                "name": "",
                "type": "bool"
            }
        ],
        "payable": False,
        "stateMutability": "nonpayable",
        "type": "function"
    },
    {
        "constant": True,
        "inputs": [],
        "name": "decimals",
        "outputs": [
            {
                "name": "",
                "type": "uint8"
            }
        ],
        "payable": False,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "constant": True,
        "inputs": [
            {
                "name": "_owner",
                "type": "address"
            }
        ],
        "name": "balanceOf",
        "outputs": [
            {
                "name": "balance",
                "type": "uint256"
            }
        ],
        "payable": False,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "constant": True,
        "inputs": [],
        "name": "symbol",
        "outputs": [
            {
                "name": "",
                "type": "string"
            }
        ],
        "payable": False,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "constant": False,
        "inputs": [
            {
                "name": "_to",
                "type": "address"
            },
            {
                "name": "_value",
                "type": "uint256"
            }
        ],
        "name": "transfer",
        "outputs": [
            {
                "name": "",
                "type": "bool"
            }
        ],
        "payable": False,
        "stateMutability": "nonpayable",
        "type": "function"
    },
    {
        "constant": True,
        "inputs": [
            {
                "name": "_owner",
                "type": "address"
            },
            {
                "name": "_spender",
                "type": "address"
            }
        ],
        "name": "allowance",
        "outputs": [
            {
                "name": "",
                "type": "uint256"
            }
        ],
        "payable": False,
        "stateMutability": "view",
        "type": "function"
    },
    {
        "payable": True,
        "stateMutability": "payable",
        "type": "fallback"
    },
    {
        "anonymous": False,
        "inputs": [
            {
                "indexed": True,
                "name": "owner",
                "type": "address"
            },
            {
                "indexed": True,
                "name": "spender",
                "type": "address"
            },
            {
                "indexed": False,
                "name": "value",
                "type": "uint256"
            }
        ],
        "name": "Approval",
        "type": "event"
    },
    {
        "anonymous": False,
        "inputs": [
            {
                "indexed": True,
                "name": "from",
                "type": "address"
            },
            {
                "indexed": True,
                "name": "to",
                "type": "address"
            },
            {
                "indexed": False,
                "name": "value",
                "type": "uint256"
            }
        ],
        "name": "Transfer",
        "type": "event"
    }
]
